Page MenuHomePhabricator

Responsively design Releeph
Closed, ResolvedPublic

Description

its unclear whether releeph UI works right on mobile/tablet. make it so.

Revisions and Commits

rP Phabricator
D8771
D8636
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision

Related Objects

Event Timeline

btrahan triaged this task as Normal priority.May 2 2013, 10:13 PM
btrahan added a project: Releeph.
btrahan added subscribers: epriestley, edward, chad, btrahan.
btrahan edited this Maniphest Task.May 2 2013, 10:13 PM
chad renamed this task from mobilize releeph to Responsively design Releeph.May 2 2013, 10:14 PM
chad claimed this task.
chad updated the task description. (Show Details)
edward edited this Maniphest Task.May 10 2013, 3:18 PM

@chad: I was thinking of doing this pretty cheaply just be re-using a lot of the existing UI elements. I managed to get as far as this: {F42974}

...which is using xactions from D5868.

Could I grab this task from you and start diffing? Would you prefer me to subtask just this part of the conversion (and all the other parts) and leave you with this task as my design reviewer in chief?

For viewing all the RQs in a branch, I'm thinking of actually just rendering that top part (the "header" view) in a long list, and maybe providing a more concise view of all a branch's RQs with cards for summary purposes. (Having a list-of-RQs view that includes all the information is useful for bulk-RQ reviewing, in release meetings.)

I think branch views can fit nicely into cards as well, they currently look pretty similar to cards, albeit using my rubbish non-responsive HTML design: {F42976}

And if there's a mobile friendly table view, I'll probably also just copy the Project view (the very top level of the projects -> branches -> branch list of RQs -> individual RQ hierarchy.)

It's been a while since I looked at uiexamples. My goodness, there is some bloomin' tasty jonx in there :D

I think moving stuff to the existing UI elements where it makes sense is the right way to get started -- some of it is probably a pretty natural fit. Some elements will probably need more finessing, but anything that can slot into a property list view, action list view, object list view, etc., without any real compromises to the app should just do that (increasingly, these elements get you integrations like tokens, flags and subscriptions for free or for really cheap, too).

One thing I want to try is adding action buttons to the right side of object list views -- I'll get a diff out for that soon. Actions like "Edit" and "Delete" are a little awkward on them right now, but common enough that I think it's worthwhile to accommodate them.

chad reassigned this task from chad to edward.May 10 2013, 4:57 PM

Most of the stuff in UI library should be responsive, even tables if needed. We can add/extend there as well. I think the only contentious element was the hover count buttons, which hover states don't work on touch devices, so we should probably build that some other way.

edward edited this Maniphest Task.May 11 2013, 5:51 PM
epriestley edited this Maniphest Task.Jul 16 2013, 7:03 PM
edward reassigned this task from edward to epriestley.Jul 17 2013, 9:45 AM
epriestley edited this Maniphest Task.Jul 21 2013, 3:45 PM
edward removed a subscriber: edward.Jul 22 2013, 12:28 PM
epriestley edited this Maniphest Task.Jul 30 2013, 5:01 PM
epriestley edited this Maniphest Task.Jul 30 2013, 5:19 PM
epriestley edited this Maniphest Task.Jul 30 2013, 7:38 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Aug 15 2013, 4:59 PM
epriestley edited this Maniphest Task.Aug 17 2013, 1:59 AM
epriestley edited this Maniphest Task.Aug 19 2013, 8:29 PM
epriestley edited this Maniphest Task.Aug 20 2013, 1:31 AM
epriestley edited this Maniphest Task.Aug 20 2013, 2:37 PM
epriestley edited this Maniphest Task.Aug 20 2013, 6:52 PM
epriestley edited this Maniphest Task.Aug 21 2013, 7:33 PM
epriestley edited this Maniphest Task.
epriestley added a subscriber: Unknown Object (MLST).Sep 3 2013, 11:15 PM
epriestley edited this Maniphest Task.Mar 28 2014, 1:32 PM
epriestley edited this Maniphest Task.Mar 29 2014, 4:16 PM
epriestley edited this Maniphest Task.Apr 13 2014, 5:55 PM
epriestley edited this Maniphest Task.Apr 18 2014, 1:44 PM
chad closed this task as Resolved.Jul 23 2015, 4:42 AM
chad changed the visibility from "All Users" to "Public (No Login Required)".